Last Comment Bug 741126 - require plugin for instance creation
: require plugin for instance creation
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Josh Aas
:
: Benjamin Smedberg [:bsmedberg]
Mentors:
Depends on:
Blocks: 741164
  Show dependency treegraph
 
Reported: 2012-03-31 15:09 PDT by Josh Aas
Modified: 2012-04-02 07:21 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix v1.0 (2.72 KB, patch)
2012-03-31 15:09 PDT, Josh Aas
jst: review+
Details | Diff | Splinter Review

Description Josh Aas 2012-03-31 15:09:23 PDT
Created attachment 611218 [details] [diff] [review]
fix v1.0

We should require a plugin object prior to trying to create an instance object.
Comment 1 Josh Aas 2012-03-31 15:12:26 PDT
try server run:

https://tbpl.mozilla.org/?tree=Try&rev=b133c32a5143
Comment 2 Josh Aas 2012-04-01 03:14:09 PDT
pushed to mozilla-central

http://hg.mozilla.org/mozilla-central/rev/06292389b24c

Note You need to log in before you can comment on or make changes to this bug.